#!/bin/sh

busybox echo -n '[<0x0,0x2ec000><0x2ec000,0x4f4000><0x4f4000,0x9a4000><0x9a4000,0xa24000>]' > upd_stat

if ./is_nor /dev/mtd ; then
	if ! ./norwrite2 -k 0x0 -l 0x0 -s 0x0 -p /dev/mtd images/mtd1 ; then
		echo 'burn /dev/mtd1 failed'; exit 1
	fi
elif ./is_nand /dev/mtd ; then
	if ! ./nandwrite2 -k 0x0 -l 0x0 -s 0x0 -p -o -u 0x2ec000 /dev/mtd images/mtd1; then
		echo 'burn /dev/mtd1 failed'; exit 1
	fi
else
	echo 'Cant identify flash type' ; exit 1
fi
if ./is_nor /dev/mtd ; then
	if ! ./norwrite2 -k 0x2ec000 -l 0x0 -s 0x2ec000 -p /dev/mtd images/mtd2 ; then
		echo 'burn /dev/mtd2 failed'; exit 1
	fi
elif ./is_nand /dev/mtd ; then
	if ! ./nandwrite2 -k 0x2ec000 -l 0x0 -s 0x2ec000 -p -o -u 0x4f4000 /dev/mtd images/mtd2; then
		echo 'burn /dev/mtd2 failed'; exit 1
	fi
else
	echo 'Cant identify flash type' ; exit 1
fi
if ./is_nor /dev/mtd ; then
	if ! ./norwrite2 -k 0x4f4000 -l 0x0 -s 0x4f4000 -p /dev/mtd images/mtd3 ; then
		echo 'burn /dev/mtd3 failed'; exit 1
	fi
elif ./is_nand /dev/mtd ; then
	if ! ./nandwrite2 -k 0x4f4000 -l 0x0 -s 0x4f4000 -p -o -u 0x9a4000 /dev/mtd images/mtd3; then
		echo 'burn /dev/mtd3 failed'; exit 1
	fi
else
	echo 'Cant identify flash type' ; exit 1
fi
if ./is_nor /dev/mtd ; then
	if ! ./norwrite2 -k 0x9a4000 -l 0x0 -s 0x9a4000 -p -u 0xa24000 /dev/mtd images/mtd4 ; then
		echo 'burn /dev/mtd4 failed'; exit 1
	fi
elif ./is_nand /dev/mtd ; then
	if ! ./nandwrite2 -k 0x9a4000 -l 0x0 -s 0x9a4000 -p -o -u 0xa24000 /dev/mtd images/mtd4; then
		echo 'burn /dev/mtd4 failed'; exit 1
	fi
else
	echo 'Cant identify flash type' ; exit 1
fi
busybox echo -n [END] > upd_stat

busybox sync
